public class KmemstatTab extends ToolTab {

	/*
	 * ugly to put this init block here, but cannot have it in constructor
	 * before super()
	 */
	public static String[] lines = {
			"This KMT tool analyzes every byte of kernel in memory and",
			"compares it to the <b>.text</b> segment of the uncompressed",
			"kernel image (in Linux this is <b>vmlinux</b>, in FreeBSD it",
			"is usually /boot/kernel/kernel).",
			"",
			"In Linux the kernel patches itself at runtime, which makes comparing",
			"kernel memory against vmlinux somewhat precarious, but this tool is",
			"smart enough to rely on ELF sections such as .altinstructions and",
			".altinstr_replace to differentiate legitimate code changes from those",
			"that are malicious.",
			"",
			"Kmemstat is used to detect any type of kernel malware that resides",
			"in the kernel's .text segment. It also has a number of features which",
			"can be used to narrow down the search for specific symbols and memory",
			"regions, as well as an option to view the raw alternative instruction",
			"runtime patches done by Linux." };

	public KmemstatTab() {
		super("kmemstat", lines);
		super.finishGui();
	}
}
